<?php 
	//@version@ 2.2 @version@
	
	session_start();	
	include_once("../inc/cookie.php");	
	include_once ("../inc/inclusion.php");	
	
	$properties = getObject("Accueil","properties",array('db'));
	if ($properties->get('installed')=="no") // si le site n'est pas encore install
	{		
		$_SESSION['modules'] = array(array("nom_module"=>"Configuration"));	
		$_GET["module"] = "Configuration";
		$user = null;
	}
	else if (!isset($_SESSION['log'])) // si la personne n'est pas  dj logg alors il s'agit d'un simple VISITEUR du site
	{
		$user = getObject("Utilisateur","utilisateur",array($db_conn));
		$_SESSION['log'] = "visiteur";
		$_SESSION['modules'] = $user->getModulesByPersonne($_SESSION['log']);
	}
	// Module par defaut
	if (!isset($_GET["module"]))
		$_GET["module"] = "Accueil";
	// Action par defaut
	if (!isset($_GET["action"]))
		$_GET["action"] = "index";		
?>
<HTML>
	<HEAD>
		<?php include ("../inc/head.php"); ?>
	</HEAD>
	<BODY id="body">
		<?php 								
			//------------------------------------------HEADER--------------------------------------------------
			include ("../inc/header.php"); 	
			//------------------------------------------CONTENT------------------------------------------------
			echo '<div id="content">';
				//---------------------------------------MENU (HORIZONTAL)--------------------------
				if ((!isset($_GET['hmenu']))||($_GET['hmenu']!="off"))					
					include ("../inc/hmenu.php");
				//---------------------------------------SOUS-MENU (VERTICAL)-----------------------
				if ((!isset($_GET['vmenu']))||($_GET['vmenu']!="off"))
					include ("../inc/vmenu.php");					
				//-------------------------------------------MODULE------------------------------------------
				if ($user!=null)
					$user = getObject("Utilisateur","utilisateur",array($db_conn));
				if (($user==null)||($user->canGoTo($_SESSION['log'],$_GET["module"])))
					include ('../modules/'.$_GET["module"].'/'.$_GET["action"].'.php');	
			echo '</div>';
			//------------------------------------------FOOTER-----------------------------------------------------
			include ("../inc/footer.php"); 
			//----------------------------------------------------------------------------------------------------------
		?>
	</BODY>
</HTML>