<?php

class utilisateur {

	var $db_conn;

	function utilisateur($db_conn){
		$this->db_conn = $db_conn;
	}

	// stocke la tentative de log
	function verifLogin($login,$mdp)
	{
		$sql = "Select login_personne from personne where login_personne =".$this->db_conn->quoteSmart($login)." and pwd_personne =".$this->db_conn->quoteSmart(md5($mdp));
		$result = getArray($this->db_conn,$sql);
		if (count($result)==1)
			return true;
		else
			return false;
	}
	
		// stocke la tentative de log
	function getModulesByPersonne($login)
	{
		$sql = "Select nom_module from module,accede,personne where module.id_module = accede.id_module 
				and accede.id_groupe = personne.id_groupe and login_personne =".$this->db_conn->quoteSmart($login)." order by module.id_module asc";
		$result = getArray($this->db_conn,$sql);		
		return $result;
	}
	
	function canGoTo($login,$module)
	{
		$sql = "Select nom_module from module,accede,personne where module.id_module = accede.id_module 
				and accede.id_groupe = personne.id_groupe and login_personne =".$this->db_conn->quoteSmart($login)." and nom_module=".$this->db_conn->quoteSmart($module);
		$result = getArray($this->db_conn,$sql);	
		if (count($result)==1)
			return true;
		else
			return false;
	}
	
	function getInfoPersonne($id)
	{
		$sql = "Select nom_personne,prenom_personne,mail_personne,id_groupe,login_personne,pwd_personne 
				from personne where id_personne=".$id;
		$result = getRow($this->db_conn,$sql);	
		return $result;
	}
	
	function getInfoPersonneByLog($log)
	{
		$sql = "Select id_personne,nom_personne,prenom_personne,mail_personne,id_groupe 
				from personne where login_personne=".$this->db_conn->quoteSmart($log);
	 
		$result = getArray($this->db_conn,$sql);		
		
		return $result;
	}
	
	//liste les personnes par groupe
	function liste_personne ($groupe){
		$sql = "Select id_personne,nom_personne,prenom_personne from personne where id_groupe =".$groupe;
		$result = getArray($this->db_conn,$sql);
		return $result;
	}
	
	
	//insere une nouvelle personne
	function add_personne ($nom,$prenom,$mail,$login,$pwd,$groupe){
		$sql = "INSERT INTO personne(id_groupe,nom_personne,prenom_personne,
									 mail_personne,login_personne,pwd_personne)	
				VALUES(".$groupe.",".$this->db_conn->quoteSmart($nom).",".$this->db_conn->quoteSmart($prenom).
				",".$this->db_conn->quoteSmart($mail).",".$this->db_conn->quoteSmart($login).",".
				$this->db_conn->quoteSmart(md5($pwd)).")";
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
    	$sql = "Select id_personne from personne order by id_personne DESC";
    	$result = getRow($this->db_conn,$sql);
    	
		return $result['id_personne'];
    	
	}
	
	//modifier une nouvelle personne
	function mod_personne ($id,$nom,$prenom,$mail,$groupe){
		$sql = "UPDATE personne SET id_groupe = ".$groupe.",									
									nom_personne = ".$this->db_conn->quoteSmart($nom).",
									prenom_personne = ".$this->db_conn->quoteSmart($prenom).",
									mail_personne	= ".$this->db_conn->quoteSmart($mail)."
									WHERE id_personne = ".$id."";
		
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
	}
	
	//delete une nouvelle personne
	function del_personne ($id_personne){
		$sql = "DELETE FROM personne WHERE id_personne = ".$id_personne;
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
	}

}
?>